Draft Filaire vers BSpline

From FreeCAD Documentation
Revision as of 16:55, 14 February 2014 by Yorik (talk | contribs)
Jump to: navigation, search

Draft WireToBSpline.svg Draft_WireToBSpline

Emplacement du menu
Drafting → Wire to BSpline
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

L'outil text-top=Wire en Bspline Wire en Bspline, converti un text-top=Ligne à points multiples Wire en text-top=Courbe B-Spline (Bézier) B-Spline, et vice-versa.

Draft Wire2BSpline example.jpg

Utilisation

  1. Sélectonnez un objet text-top=Ligne à points multiples Wire ou un ojbet text-top=Courbe B-Spline (Bézier) B-Spline.
  2. Pressez le bouton text-top=Wire en Bspline Wire en Bspline.

Options

  • L'objet original n'est pas effacé après l'opération, si vous voulez l'effacer, vous devez le faire manuellement.

Script

Non disponible, le but ici, est de créer un nouvel objet, avec les points d'un autre objet facilement, par exemple :

  • If the active object is a wire:
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeBSpline(points)
  • if the active object is a bspline
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeWire(points)
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe